package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/edb_info"
	"hongze/hongze_yb/middleware"
)

func InitEdbInfo(r *gin.Engine) {
	rg := r.Group("api/edb_info").Use(middleware.Token(), middleware.CheckBaseAuth())
	rg.GET("/data", edb_info.EdbData)

	prg := r.Group("api/predict_edb_info").Use(middleware.Token(), middleware.CheckBaseAuth())
	prg.GET("/data", edb_info.PredictEdbData)
}
